Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80574 - TB Conf.py:483:keys:IndexError
Summary: TB Conf.py:483:keys:IndexError
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-12-28 03:15 UTC by Nirmal Sakthi
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-05 08:35:02 UTC


Attachments (Terms of Use)

Description Nirmal Sakthi 2002-12-28 03:15:37 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Open network config app
2.Change eth1 from dhcp to mannual
3.apply
    
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 320, in save
    self.saveProfiles()
  File "/usr/sbin/neat", line 336, in saveProfiles
    profilelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 300, in save
    for i in hoconf.keys():
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 483, in keys
    keys.append(var[1])
IndexError: list index out of range

Local variables in innermost frame:
var: ['tamil.dravidan']
keys: []
self: <rhpl.Conf.ConfEHosts instance at 0x8535a9c>
place: 3


Expected results:


Additional info:

Comment 1 Harald Hoyer 2003-02-05 13:00:43 UTC
please attach your /etc/hosts... thx


Note You need to log in before you can comment on or make changes to this bug.